require 'rails_helper'

RSpec.describe 'Dashboard', type: :request do
  it 'redireciona usuário não autenticado para o login' do
    get dashboard_path
    expect(response).to redirect_to(new_user_session_path)
  end

  it 'redireciona motorista para o painel exclusivo de motorista' do
    sign_in create(:motorista)
    get dashboard_path
    expect(response).to redirect_to(motorista_dashboard_path)
  end
end
